#!/usr/bin/env node
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const meow = require("meow");
const _1 = require(".");
const cli = meow(`
Usage: preview [what] [where] {OPTIONS}

Options:
      --skip-prepublish  Skips running \`prepublish\` script before publishing preview
         --skip-prepare  Skips running \`prepare\` script before publishing preview
  --skip-prepublishOnly  Skips running \`prepublishOnly\` script before publishing preview
         --skip-prepack  Skips running \`prepack\` script before publishing preview
`, {
    flags: {
        skipPrepack: {
            default: false,
            type: 'boolean',
        },
        skipPrepare: {
            default: false,
            type: 'boolean',
        },
        skipPrepublish: {
            default: false,
            type: 'boolean',
        },
        skipPrepublishOnly: {
            default: false,
            type: 'boolean',
        },
    },
});
let what = cli.input[0];
let where = cli.input[1];
if (!what) {
    what = where = process.cwd();
}
else if (!where) {
    where = what;
}
_1.default(what, where, cli.flags)
    .catch((err) => {
    console.error(err);
    process.exit(err.code || 1);
});
//# sourceMappingURL=cli.js.map