"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const findDown = require("find-down");
const path = require("path");
const PACKAGE_PREVIEWS_DIRNAME = '__package_previews__';
function default_1(target, pkgName) {
    return __awaiter(this, void 0, void 0, function* () {
        // The preview directory should be placed in a directory that doesn't have
        // node_modules or packages up in the directory tree.
        // Otherwise the package would have access to modules that are not declared
        // in its package.json
        const filename = yield findDown(['node_modules', 'package.json'], { cwd: target });
        if (filename === null) {
            return path.join(path.dirname(target), PACKAGE_PREVIEWS_DIRNAME, pkgName);
        }
        return path.join(path.dirname(path.dirname(filename)), PACKAGE_PREVIEWS_DIRNAME, pkgName);
    });
}
exports.default = default_1;
//# sourceMappingURL=getPreviewDir.js.map