"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const spawn = require("cross-spawn");
function npmPack(scriptName, cwd, env) {
    return new Promise((resolve, reject) => {
        const proc = spawn('npm', ['run', scriptName], {
            cwd,
            env,
            stdio: 'inherit',
        });
        proc.on('error', reject);
        proc.on('close', (code, signal) => {
            if (signal) {
                process.kill(process.pid, signal);
            }
            if (code > 0) {
                return reject(new Error('Exit code ' + code));
            }
            return resolve();
        });
    });
}
exports.default = npmPack;
//# sourceMappingURL=npmRun.js.map